Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.service.importer.support.internal.aop
Class InfrastructureOsgiProxyAdvice

    java.lang.Object
      org.springframework.aop.support.IntroductionInfoSupport
          org.springframework.aop.support.DelegatingIntroductionInterceptor
              org.eclipse.gemini.blueprint.service.importer.support.internal.aop.InfrastructureOsgiProxyAdvice

All Implemented Interfaces:
  Serializable, org.aopalliance.aop.Advice, org.aopalliance.intercept.Interceptor, org.aopalliance.intercept.MethodInterceptor, org.springframework.aop.DynamicIntroductionAdvice, org.springframework.aop.IntroductionInfo, org.springframework.aop.IntroductionInterceptor, org.springframework.core.InfrastructureProxy

    public class InfrastructureOsgiProxyAdvice

extends org.springframework.aop.support.DelegatingIntroductionInterceptor
implements org.springframework.core.InfrastructureProxy

Mixin implementation for `InfrastructureProxy` interface.

Author:
  Costin Leau
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.springframework.aop.support.IntroductionInfoSupport
`publishedInterfaces`

Constructor Summary
`InfrastructureOsgiProxyAdvice(ServiceInvoker serviceInvoker)`

Method Summary
`boolean` | `equals(Object other)`
`Object` | `getWrappedObject()` Returns the OSGi target service.
`int` | `hashCode()`

Methods inherited from class org.springframework.aop.support.DelegatingIntroductionInterceptor
`doProceed, invoke`

Methods inherited from class org.springframework.aop.support.IntroductionInfoSupport
`getInterfaces, implementInterfacesOnObject, implementsInterface, isMethodOnIntroducedInterface, suppressInterface`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.aop.DynamicIntroductionAdvice
`implementsInterface`

Constructor Detail

### InfrastructureOsgiProxyAdvice

    public InfrastructureOsgiProxyAdvice(ServiceInvoker serviceInvoker)

Method Detail

### getWrappedObject

    public Object getWrappedObject()

  Returns the OSGi target service.

  Specified by:
    `getWrappedObject` in interface `org.springframework.core.InfrastructureProxy`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2012. All Rights Reserved.